diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index cb138ab..fa056f5 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -29519,7 +29519,8 @@ FunctionSpacePrimitiveElement(R, F): Exports == Implementation where
     F2P: (F, List SY) -> P
     K2P: (K, List SY) -> P
 
-    F2P(f, l) == inv(denom(f)::F) * map(K2P(#1, l), #1::F::P, numer f)
+    F2P(f, l) == 
+     inv(denom(f)::F)*map((k1:K):P+->K2P(k1,l),(r1:R):P+->r1::F::P, numer f)
 
     K2P(k, l) ==
       ((v := symbolIfCan k) case SY) and member?(v::SY, l) => v::SY::P
@@ -29556,7 +29557,7 @@ FunctionSpacePrimitiveElement(R, F): Exports == Implementation where
         b   := (bb := new()$SY)::F
         l   := [aa, bb]$List(SY)
         p1  := minPoly(k1 := retract(a1)@K)
-        p2  := map(subst(ratDenom(#1, [k1]), [k1], [a]),
+        p2  := map((z1:F):F+->subst(ratDenom(z1, [k1]), [k1], [a]),
                                                  minPoly(retract(a2)@K))
         rec := primitiveElement(F2P(p1 a, l), aa, F2P(p2 b, l), bb)
         w   := rec.coef1 * a1 + rec.coef2 * a2
diff --git a/changelog b/changelog
index dbb3a9a..93433be 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090601 tpd src/axiom-website/patches.html 20090601.01.tpd.patch
+20090601 tpd books/bookvol10.4 FSPRMELT +-> conversion
 20090530 tpd src/axiom-website/patches.html 20090530.02.tpd.patch
 20090530 tpd src/axiom-website/releasenotes.html add May 2009 release notes
 20090530 tpd src/axiom-website/patches.html move the patch frontier
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6716fe9..6bde05e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1403,5 +1403,7 @@ May 2009 release changes<br/>
 <a name="latest"/>
 In process, not yet released<br/><br/>
   <hr>
+<a href="patches/20090601.01.tpd.patch">20090601.01.tpd.patch</a>
+bookvol10.4 FSPRMELT +-> conversion<br/>
  </body>
 </html>
